Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class NamingContextHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextHelper

public abstract class NamingContextHelper
extends Object

A naming context is an object that contains a set of name bindings in which each name is unique. Different names can be bound to an object in the same or different contexts at the same time.

See CORBA COS Naming Specification.

Constructor Summary
`NamingContextHelper()`

Method Summary
`static NamingContext` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, NamingContext that)`
`static NamingContext` | `narrow(Object obj)`
`static NamingContext` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, NamingContext value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingContextHelper

    public NamingContextHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NamingContext that)

### extract

    public static NamingContext extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static NamingContext read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             NamingContext value)

### narrow

    public static NamingContext narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.